
# Interface: IOptionParams

## Hierarchy

* **IOptionParams**

## Index

### Properties

* [active](ioptionparams.md#optional-active)
* [config](ioptionparams.md#optional-config)
* [css](ioptionparams.md#optional-css)
* [isMultiSelect](ioptionparams.md#optional-ismultiselect)
* [name](ioptionparams.md#name)
* [onChange](ioptionparams.md#optional-onchange)
* [options](ioptionparams.md#options)
* [style](ioptionparams.md#optional-style)
* [subType](ioptionparams.md#subtype)
* [type](ioptionparams.md#optional-type)
* [visible](ioptionparams.md#optional-visible)

## Properties

### `Optional` active

• **active**? : *boolean*

___

### `Optional` config

• **config**? : *IMetadataConfig*

___

### `Optional` css

• **css**? : *string*

___

### `Optional` isMultiSelect

• **isMultiSelect**? : *boolean*

___

###  name

• **name**: *string*

___

### `Optional` onChange

• **onChange**? : *Function | Function[]*

___

###  options

• **options**: *[ProductInformationOption](../classes/productinformationoption.md)[]*

___

### `Optional` style

• **style**? : *object*

#### Type declaration:

* \[ **key**: *string*\]: string

___

###  subType

• **subType**: *[IOldOptionSubType](../README.md#ioldoptionsubtype)*

___

### `Optional` type

• **type**? : *[IMetadataType](../README.md#imetadatatype)*

___

### `Optional` visible

• **visible**? : *boolean*
